petsc-3.4.2 2013-07-02

# SNESFASSetRScale

Sets the scaling factor of the restriction operator from level l to l-1.

### Synopsis

    #include "petscsnesfas.h"
    PetscErrorCode SNESFASSetRScale(SNES snes, PetscInt level, Vec rscale)

### Input Parameters

| snes | - the multigrid context
| rscale | - the restriction scaling
| level | - the level (0 is coarsest) to supply [Do not supply 0]

### Notes

This is only used in the case that the injection is not set.

### Keywords

FAS, MG, set, multigrid, restriction, level

### See Also

SNESFASSetInjection(), SNESFASSetRestriction()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages